Page MenuHomePhabricator

DataStorage::ComputeBoundingBox3D creates geometry with incorrect origin and bounding box
Closed, ResolvedPublic

Description

Although the created geometry is a non-image geometry, it's origin is left in the (0, 0, 0) mm position, and the bounding box lower bounds are negative to compensate this. Moreover, the spacings are not permuted according to order of the input geometry axes, therefore the upper bounds are also incorrect if the input geometry is an image with anisotropic voxels.

Related Objects

Event Timeline

espak created this task.Nov 2 2016, 12:02 PM
hettich added a subscriber: hettich.Nov 7 2016, 4:15 PM
kislinsk claimed this task.Nov 18 2016, 3:54 PM

Test images for validating the proposed changes:

As soon as we have an image spacing other than 1, we have indeed an error in our calculations. Everything else seems to be the difference between object space and global space, which is why the missing offset was "okay", though.

The calculation in your fix is correct.

We still have to check the permuted thingy, though.

kislinsk closed this task as Resolved.Nov 18 2016, 4:42 PM
kislinsk edited projects, added MITK (2016-11); removed MITK.Nov 29 2016, 1:32 PM
kislinsk moved this task from Backlog to Suggested on the MITK (2016-11) board.
goch moved this task from Suggested to Included on the MITK (2016-11) board.Nov 29 2016, 2:34 PM